#!/usr/bin/perl
use strict;
use warnings;
use v5.10.1;
use LWP::UserAgent;
use Getopt::Long qw(GetOptions);

my $log_dir = 'C:\Users\AcidRain_ssd\Desktop\jkdf2_backup\logs';
my $record = 0;
my $record_block;

my ($upload, $delete);
GetOptions('up' => \$upload, 'del' => \$delete);

opendir (DIR, $log_dir) or die $!;
    while (my $file = readdir(DIR)) {
		given( $file ) { 
      		when(-d $_ ) { next } # skip directories
      		when(/^[.]/) { next } # skip dot-files

      		when(/(.+)[.]txt$/) 
      		{ 
      			#print "Current File: " . $_ . "\n";
      			open my $info, $log_dir . "/" . $_ or die $!;
      			while( my $line = <$info>)  
            {   
              if(index($line, "===END_SCORES===") > 0) { $record = 0; }
              if($record == 1) 
              { 
                my $spc_pos = index($line, " ") + 1;
                my $text  = substr $line, $spc_pos, length $line, "";
                $record_block .= $text;
              }
    				  if(index($line, "===START_SCORES===") > 0) { $record = 1; }
				    }
				    close $info;
      		}
      		default { next } # skip everything else
    	}
    }
closedir(DIR);

print $record_block;
#make em look pretty for web

my @lines = split /\n/, $record_block;
$record_block = "";
my $i = 0;
foreach my $line (@lines) 
{
  $i++;
  $record_block .= $line;
  if(scalar @lines ne $i)
  {
    $record_block .= "|||||";
  } 
}

if($delete)
{
  opendir (DIR, $log_dir) or die $!;
  while (my $file = readdir(DIR)) 
  {
    unlink $log_dir . "/" . $file;
  }
  closedir(DIR);
  print "Log files deleted\n"; 
}

if($upload)
{
  my $ua = LWP::UserAgent->new;
  my $response = $ua->get('http://acidshower.com/jkdf2_scores.php?scores=' . $record_block);
  if(!($response->is_success))
  {
    print "ERROR contacting Server\n";
    goto failed;
  }

  my $data = $response->content;
  $data =~ s/^\s+|\s+$//g;

  if($data eq "scores added")
  {
    print "Scores Added\n";
    } else {
    print "Failed\n";
  }
} else {
  failed:
  print "\n\nRun with:\n";
  print " -up   Upload to JKBot\n";
  print " -del  Delete all log files\n";
  print "\n\n";
}
